System.Data 1.0.5000.0 2.0.0.0 System.Data.Common.DbDataAdapter System.ComponentModel.ToolboxItem("Microsoft.VSDesigner.Data.VS.OdbcDataAdapterToolboxItem, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.Designer("Microsoft.VSDesigner.Data.VS.OdbcDataAdapterDesigner, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner") System.ComponentModel.DefaultEvent("RowUpdated")

The serves as a bridge between a DataSet and data source for retrieving and saving data. The provides this bridge by using to load data from the data source into the , and using to send changes made in the back to the data source.

When the fills a , it creates the required tables and columns for the returned data if they do not already exist. However, primary key information is not included in the implicitly created schema unless the property is set to . You may also have the create the schema of the , including primary key information, before filling it with data using . For more information, see Adding Existing Constraints to a DataSet.

When you call the Fill method on a data source that does not have a primary key column, the tries to promote the unique constraint column to the primary key. In the process, the marks the unique constraint as not nullable. This behavior works unless there is a null value in the unique constraint column. If there is a null value, the Fill method fails with a constraint violation. To avoid this situation, do not allow null values in the unique constraint column.

Due to the limitations of native ODBC drivers, only one is ever returned when you call . This is true even when executing SQL batch statements from which multiple objects would be expected.

The also includes the , , , , and TableMappings properties to facilitate loading and updating of data.

Represents a set of data commands and a connection to a data source that are used to fill the and update the data source. This class cannot be inherited.

- Constructor

  When you create an instance of , the following write-only and read-only properties are set to their default values, as shown in the table.

  Properties

  Default value

  MissingMappingAction.Passthrough

  MissingSchemaAction.Add

  You can change the value of any of these properties through a separate call to the property.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor

  This implementation of the constructor sets the property to the value specified in the parameter.

  When you create an instance of , the following write-only and read-only properties are set to their default values, as shown in the table.

  Properties

  Initial value

  MissingMappingAction.Passthrough

  MissingSchemaAction.Add

  You can change the value of any of these properties through a separate call to the property.

  Initializes a new instance of the class with the specified SQL SELECT statement.

  An that is an SQL SELECT statement or stored procedure, and is set as the property of the .
  1.0.5000.0
  2.0.0.0
- Constructor

  This implementation of the can be useful in an application that must call the Fill method for two or more objects.

  Initializes a new instance of the class with an SQL SELECT statement and an .

  A string that is a SQL SELECT statement or stored procedure to be used by the property of the .
  An that represents the connection.
  1.0.5000.0
  2.0.0.0
- Constructor

  This overload of the constructor uses the parameter to set the property. However, it does not open the connection. You still must explicitly open the connection.

  Initializes a new instance of the class with an SQL SELECT statement and a connection string.

  A string that is a SQL SELECT statement or stored procedure to be used by the property of the .
  The connection string.
  1.0.5000.0
  2.0.0.0
- Method
  System.Data.Common.RowUpdatedEventArgs `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Data.Common.RowUpdatingEventArgs `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DBCommandEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
  System.ComponentModel.DefaultValue(null)
  System.Data.Odbc.OdbcCommand To be added.

  When the property is assigned to a previously created , the is not cloned. Instead, the maintains a reference to the previously created .

  During an update operation, if is not set and primary key information is present in the , you can use the class to automatically generate the , and additional commands needed to reconcile the to the data source. To do this, set the property of the . The generation logic also requires key column information to be present in the . For more information, see Automatically Generating Commands.

  Gets or sets an SQL statement or stored procedure used to delete records in the data source.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0
- Property
  System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DBCommandEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
  System.ComponentModel.DefaultValue(null)
  System.Data.Odbc.OdbcCommand To be added.

  When the property is assigned to a previously created object, the is not cloned. Instead, maintains a reference to the previously created .

  During an update operation, if is not set and primary key information is present in the , you can use the class to automatically generate , and additional commands needed to reconcile the to the data source. To do this, set the property of the . The generation logic also requires key column information to be present in the . For more information, see Automatically Generating Commands.

  If execution of this command returns rows, these rows may be added to the depending upon how you set the property of the object.

  Gets or sets an SQL statement or stored procedure used to insert new records into the data source.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Event
  System.Data.Odbc.OdbcRowUpdatedEventHandler

  When you use , there are two events that occur per data row updated. The order of execution is as follows:

  The values in the are moved to the parameter values.

  The event is raised.

  The command executes.

  If the command is set to FirstReturnedRecord, the first returned result is placed in the .

  If there are output parameters, they are placed in the .

  The event is raised.

  is called.

  Occurs during an update operation after a command is executed against the data source.

  1.0.5000.0
  2.0.0.0
- Event
  System.Data.Odbc.OdbcRowUpdatingEventHandler

  When you use , there are two events that occur per data row updated. The order of execution is as follows:

  The values in the are moved to the parameter values.

  The event is raised.

  The command executes.

  If the command is set to FirstReturnedRecord, the first returned result is placed in the .

  If there are output parameters, they are placed in the .

  The event is raised.

  is called.

  Occurs during before a command is executed against the data source.

  1.0.5000.0
  2.0.0.0
- Property
  System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DBCommandEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
  System.ComponentModel.DefaultValue(null)
  System.Data.Odbc.OdbcCommand To be added.

  When is assigned to a previously created , the is not cloned. Instead, the maintains a reference to the previously created object.

  If returns no rows, no tables are added to the , and no exception is raised.

  Gets or sets an SQL statement or stored procedure used to select records in the data source.

  1.0.5000.0
  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.ITableMappingCollection To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.IDbCommand To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Data.IDbCommand To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Data.IDbCommand To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Data.IDbCommand To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.Object

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  A new that is a copy of this instance.

- Property
  System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DBCommandEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
  System.ComponentModel.DefaultValue(null)
  System.Data.Odbc.OdbcCommand To be added.

  When is assigned to a previously created , the is not cloned. Instead, the maintains a reference to the previously created object.

  During an update operation, if is not set and primary key information is present in the , you can use the class to automatically generate , and additional commands needed to reconcile the to the data source. To do this, set the property of the . The generation logic also requires key column information to be present in the . For more information, see Automatically Generating Commands.

  If execution of this command returns rows, these rows may be merged with the depending upon how you set the property of the object.

  Gets or sets an SQL statement or stored procedure used to update records in the data source.

  1.0.5000.0
  2.0.0.0